Package: groovy.sql

## [Java] Interface InParameter

-     public interface InParameter

  A typed parameter to pass to a query

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public int` | `getType()` The JDBC data type.
    `` | `public Object` | `getValue()` The object holding the data value.

- - ### Method Detail

    - #### public int getType()

      The JDBC data type.

      Returns:
        the type

    - #### public Object getValue()

      The object holding the data value.

      Returns:
        the value